close all;clear all
gr=groot;gr.ShowHiddenHandles='on';

%-------------------- figure --------------------%
fig=uifigure;
sub22(1)=uiaxes(fig);
sub22(2)=uiaxes(fig);
sub22(3)=uiaxes(fig);
sub22(4)=uiaxes(fig);
set(sub22(1),'Units','normalized','Position',[0.1300 0.5838 0.3347 0.3412])
set(sub22(2),'Units','normalized','Position',[0.5703 0.5838 0.3347 0.3412])
set(sub22(3),'Units','normalized','Position',[0.1300 0.1100 0.3347 0.3412])
set(sub22(4),'Units','normalized','Position',[0.5703 0.1100 0.3347 0.3412])

viewagl=[-37.5,30;0,90;90,0;0,0];  % 視点アングル
%n=35;                              % アーム個数
n=18;
l=[zeros(2,n);2*ones(1,n)];        %アーム空行列置き
%lg=l/2;            %重心位置

% 長さ
arm(1).l=[0;0;0]; % 原点
arm(2).l=[0;0;100];arm(03).l=[0;0;-100]; % 胴
arm(4).l=[0;0;75]; % 胴->頭

arm(5).l=[70;0;0];arm(6).l=[10;0;-60];arm(7).l=[10;0;-60];arm(8).l=[5;0;-20]; % 胴->左腕
arm(9).l=[-70;0;0];arm(10).l=[-10;0;-60];arm(11).l=[-10;0;-60];arm(12).l=[-5;0;-20]; % 胴->右腕

arm(13).l=[40;0;0];arm(14).l=[0;0;-60];arm(15).l=[0;0;-60]; % 胴->左足
arm(16).l=[-40;0;0];arm(17).l=[0;0;-60];arm(18).l=[0;0;-60]; % 胴->左足

for i=[1,2,3,13,14,15,16,17,18]
	arm(i).a=[1;0;0];
end % 回転軸x

for i=[4,5,6,7,8,9,10,11,12]
	arm(i).a=[0;1;0];
end % 回転軸y

%for i=[2]
%	arm(i).a=[0;0;1];
%end % 回転軸z

% 長さ調整
for i=1:n
	arm(i).l = arm(i).l / 100;
	arm(i).th=0;
    arm(i).lg=arm(i).l/2;
end

% 親リンク
arm(4).parent=2;arm(2).parent=1;arm(1).parent=0; %頭->原点 
arm(8).parent=7;arm(7).parent=6;arm(6).parent=5;arm(5).parent=2;%左腕->
arm(12).parent=11;arm(11).parent=10;arm(10).parent=9;arm(9).parent=2; %右腕->
arm(15).parent=14;arm(14).parent=13;arm(13).parent=3;arm(3).parent=1; %左脚->
arm(18).parent=17;arm(17).parent=16;arm(16).parent=3;arm(3).parent=1; %右脚->

% 子リンクを接続し双方向リンクとする
arm=vectest9makechildlink(arm);
ind=vectest9findallchildren(arm);
arm=vectest9kinematics(arm,ind);
plot1=[];
plot1=vectest9plot2021(arm,plot1,sub22);
%plot1=vectest9plot2021(arm,plot1);

%-------------------- ui --------------------%
fig2=uifigure;
ui=vectest9makeui2021(arm,'vectest9sub2021;',fig2); % uiの部分

b1=uibutton(fig2,'Position',[300,50,180,50]);
b1.Text='リセット';
b1.ButtonPushedFcn='[arm,plot1,sub22]=reset(arm,sub22,ui,plot1)';
b1.ButtonPushedFcn='resettag';

b2=uibutton(fig2,'Position',[300,350,180,50]);
b2.Text='ポーズ1';
b2.ButtonPushedFcn='pose1';

b3=uibutton(fig2,'Position',[300,300,180,50]);
b3.Text='ポーズ2';
b3.ButtonPushedFcn='pose2';


